Bug 538211 - bouncycastle-mail-debuginfo has no sources
bouncycastle-mail-debuginfo has no sources
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bouncycastle-mail (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On:
Blocks: DebugInfo
  Show dependency treegraph
 
Reported: 2009-11-17 17:33 EST by Ville Skyttä
Modified: 2011-06-02 17:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-02 17:54:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2009-11-17 17:33:30 EST
bouncycastle-mail-debuginfo-1.44-1.fc13.x86_64 contains no sources.  I didn't notice anything obvious in the build log; the main bouncycastle-debuginfo package which uses a similar build setup does contain them (*.java).

On an unrelated note, but while I'm writing here, FWIW I see there is one test suite failure in the bouncycastle build log and quite a few more in bouncycastle-mail:
http://kojipkgs.fedoraproject.org/packages/bouncycastle/1.44/1.fc13/data/logs/x86_64/build.log
http://kojipkgs.fedoraproject.org/packages/bouncycastle-mail/1.44/1.fc13/data/logs/x86_64/build.log
Comment 1 Orcan Ogetbil 2009-11-17 22:15:31 EST
(In reply to comment #0)
> bouncycastle-mail-debuginfo-1.44-1.fc13.x86_64 contains no sources.  I didn't
> notice anything obvious in the build log; the main bouncycastle-debuginfo
> package which uses a similar build setup does contain them (*.java).
> 

Arrgh. Not again...
A previous proposal for a "fix" was made by Andrew Haley in a discussion in fedora-java [1]. And the commit [2] solved the problem at the time.

I don't know why it came back. I'm adding Andrew to the CC.


> On an unrelated note, but while I'm writing here, FWIW I see there is one test
> suite failure in the bouncycastle build log and quite a few more in
> bouncycastle-mail:
> http://kojipkgs.fedoraproject.org/packages/bouncycastle/1.44/1.fc13/data/logs/x86_64/build.log
> http://kojipkgs.fedoraproject.org/packages/bouncycastle-mail/1.44/1.fc13/data/logs/x86_64/build.log  

Wasn't it you who enabled those tests? :) Any news, progress etc?
I'll look into them when I can spare some time.


[1] https://www.redhat.com/archives/fedora-devel-java-list/2009-July/msg00005.html
[2] http://cvs.fedora.redhat.com/viewvc/devel/bouncycastle-mail/bouncycastle-mail.spec?r1=1.7&r2=1.8
Comment 2 Ville Skyttä 2009-11-18 17:25:15 EST
(In reply to comment #1)

> Wasn't it you who enabled those tests? :) Any news, progress etc?
> I'll look into them when I can spare some time.

Yes, I enabled them for bouncycastle but not for any other packages and said I hadn't looked into them and still haven't (and don't really have plans to do that either - I think it's the maintainers' job), see bug 521475.  When you can spare some time for it is very much fine with me, no rush as long as the packages actually work for my purposes ;)
Comment 3 Bug Zapper 2010-03-15 09:04:36 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-02 13:26:23 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Ville Skyttä 2011-06-02 17:54:19 EDT
1.46-1 in F-15+ is noarch so this is no longer applicable.

Note You need to log in before you can comment on or make changes to this bug.